## Constraint Name (constraint_name)

A constraint name (constraint_name) defines an integrity condition that must be satisfied by the rows in a table.

### Syntax

<constraint_name> ::= <identifier>

### Explanation

An error message is output if the name consists of more than 32 characters.

#### SQL statements

CONSTRAINT Definition

ALTER Definition

CREATE DOMAIN Definition

DROP Definition

See also:

Ensuring Data Integrity